/* this header file contains the prototypes of the functions and symbols */
/* that are needed to describe the angular motion in 3 dimensions */

#ifndef angular_h
#define angular_h

#include <default.h>
#include <complex.h>

#define DEG_TO_RAD ( PI / 180.0 )



double plgndr(int l, int m, double x);
dcomplex spherharm(int l, int m, double th, double phi);
double phase(int t);
double fact_int(int n);
double fact_double(double a);
double threej( double j1, double j2, double j3,
	       double m1, double m2, double m3 );
double clebschgordon( double j1, double m1, double j2, double m2,
		      double j3, double m3);
double sixj( double j1, double j2, double j3,
	     double l1, double l2, double l3);


#endif




