/* this is the header file for integration routines */

#ifndef int_h
#define int_h

#include <default.h>
#include <matrix.h>


double int_trapzd(double (*func)(double x), double a, double b);
double int_simp(double (*func)(double x), double a, double b);
double trapzd(double (*func)(double x), double a, double b, int n);


double int_gauss(double (*func)(double), double a, double b, int n );
double int_gauss2(double (*func2)(double), double a, double b, int n );
double int_gauss3(double (*func3)(double), double a, double b, int n );
double int_gauss4(double (*func4)(double), double a, double b, int n );
double int_gauss5(double (*func5)(double), double a, double b, int n );
double int_gauss6(double (*func6)(double), double a, double b, int n );
double int_gauss7(double (*func7)(double), double a, double b, int n );

void gauss_leg(double x1, double x2, double *x, double *w, int n);
double int_gauss_infinit(double (*func)(double), double c, int n );
void gauss_leg_infinit(double *q, double *W, double c, int n);


double int1d(double (*func)(double x), double x1, double x2, int n);

double int2d(double (*func)(double x, double y), double x1, double x2,
                                                 double y1, double y2, int n);

double int3d(double (*func)(double x, double y, double z), 
             double x1, double x2, double y1, double y2, 
             double z1, double z2, int n);


#endif
