/* This is the header file for functions that allow to allocate 
   dynamically vectors and matrices */

#ifndef mat_h
#define mat_h

#include <default.h>
#include <complex.h>

#define FREE_ARG char*

double *dvector(int nl, int nh);
void free_dvector(double *v, int nl, int nh);
int *ivector(int nl, int nh);
void free_ivector(int *v, int nl, int nh);

double **dmatrix(int nrl, int nrh, int ncl, int nch);
void free_dmatrix(double **m, int nrl, int nrh, int ncl, int nch);

dcomplex **dcomp_matrix(int nrl, int nrh, int ncl, int nch);
void free_dcomp_matrix(dcomplex **m, int nrl, int nrh, int ncl, int nch);

#endif



